# docker run

```shell
# nginx-proxy
docker run -itd \
    --name nginx-proxy \
    --restart=always \
    -p 80:80 \
    -p 443:443 \
    -v /data/nginx/certs:/etc/nginx/certs \
    -v /data/nginx/vhost.d:/etc/nginx/vhost.d \
    -v /data/nginx/html:/usr/share/nginx/html \
    -v /var/run/docker.sock:/tmp/docker.sock:ro \
    jwilder/nginx-proxy:alpine

# letsencrypt-nginx-proxy-companion
docker run -itd \
    --name nginx-proxy-letsencrypt \
    --restart=always \
    --volumes-from nginx-proxy \
    -v /var/run/docker.sock:/var/run/docker.sock:ro \
    -v /data/acme.sh:/etc/acme.sh \
    -e "DEFAULT_EMAIL=hi@esin.io" \
    jrcs/letsencrypt-nginx-proxy-companion

```